## telxcc 2.5.3

=== Makefile ===
CC = gcc
CCFLAGS = -m64 -march=core2 -std=gnu99 -O3 -Wall -pedantic
LD = ld
LDFLAGS =
DEST = /usr/local

OBJS = telxcc.o
EXEC = telxcc

all : $(EXEC)

strip : $(EXEC)
	-strip $<

man : telxcc.1.gz

.PHONY : clean
clean :
	-rm -f $(OBJS) $(EXEC) *.1.gz

$(EXEC) : $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS)

%.o : %.c
	$(CC) -c $(CCFLAGS) -o $@ $<

%.1.gz : %.1
	gzip -c -9 $< > $@

profiled :
	make CCFLAGS="$(CCFLAGS) -fprofile-generate" LDFLAGS="$(LDFLAGS) -fprofile-generate" $(EXEC)
	find . -type f -iname \*.ts -exec sh -c './telxcc -1 -c -v -p 888 < "{}" > /dev/null 2>> profile.log' \;
	find . -type f -iname \*.ts -exec sh -c './telxcc -s -v -p 888 < "{}" > /dev/null 2>> profile.log' \;
	find . -type f -iname \*.ts -exec sh -c './telxcc -1 -v -t 8192 -p 777 < "{}" > /dev/null 2>> profile.log' \;
	find . -type f -iname \*.ts -exec sh -c './telxcc < "{}" > /dev/null 2>> profile.log' \;
	find . -type f -iname \*.m2ts -exec sh -c './telxcc -1 -v -m -c < "{}" > /dev/null 2>> profile.log' \;
	make clean
	make CCFLAGS="$(CCFLAGS) -fprofile-use" LDFLAGS="$(LDFLAGS) -fprofile-use" $(EXEC)
	-rm -f $(OBJS) *.gcda *.gcno *.dyn pgopti.dpi pgopti.dpi.lock

install : strip man
	sudo cp telxcc $(DEST)/bin
	sudo mkdir -p $(DEST)/share/man/man1
	sudo cp telxcc.1.gz $(DEST)/share/man/man1

uninstall :
	sudo rm $(DEST)/bin/telxcc
	sudo rm $(DEST)/share/man/man1/telxcc.1.gz

=== debian/changelog ===
telxcc (2.5.3-dmo2) unstable; urgency=medium

  * Rebuild with PIE

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Mar 2017 11:02:39 +0100

telxcc (2.5.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2014 14:58:02 +0100

telxcc (2.5.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 09 Jan 2014 08:19:10 +0100

telxcc (2.5.1-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 13 Oct 2013 09:14:51 +0200

telxcc (2.4.4-dmo2) unstable; urgency=low

  * Remove sudo calls in Makefile.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jul 2013 09:31:34 +0200

telxcc (2.4.4-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 02 Jul 2013 09:13:05 +0200

telxcc (2.4.1-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Apr 2013 09:36:37 +0200

telxcc (2.3.2-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Dec 2012 11:35:14 +0100

telxcc (2.3.0-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 01 Dec 2012 09:42:10 +0100

telxcc (2.2.0-dmo1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 30 Jun 2012 17:46:33 +0200

telxcc (0.git20120217-dmo1) unstable; urgency=low

  * Build with hardened flags.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 Jun 2012 23:52:00 +0200

telxcc (0.git20120217-0.0) unstable; urgency=low

  * Initial release.

 -- Christian Marillat <marillat@debian.org>  Fri, 17 Feb 2012 15:04:46 +0100

=== debian/control ===
Source: telxcc
Section: utils
Priority: extra
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://github.com/forers/telxcc
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), quilt

Package: telxcc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Teletext closed captioning decoder.
 Teletext closed captioning decoder (produces subtitles in SRT format from
 transport stream).

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS="$(shell dpkg-buildflags --get CFLAGS)"
LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"
CPPFLAGS="$(shell dpkg-buildflags --get CPPFLAGS)"

%:
	dh $@ --with quilt

override_dh_auto_build:
	$(MAKE) CFLAGS=$(CFLAGS) LDFLAGS=$(LDFLAGS) CPPFLAGS=$(CPPFLAGS)

=== debian/watch ===
version=4

https://github.com/petrkutalek/telxcc/releases \
.*/v(.*)\.tar\.gz
